Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface HTTPFileCacheConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter

public interface HTTPFileCacheConfig
extends ConfigElement

Configuration for the <http-file-cache> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`boolean` | `getFileCachingEnabled()`
`boolean` | `getFileTransmissionEnabled()`
`boolean` | `getGloballyEnabled()`
`java.lang.String` | `getHashInitSize()`
`java.lang.String` | `getMaxAgeInSeconds()`
`java.lang.String` | `getMaxFilesCount()`
`java.lang.String` | `getMediumFileSizeLimitInBytes()`
`java.lang.String` | `getMediumFileSpaceInBytes()`
`java.lang.String` | `getSmallFileSizeLimitInBytes()`
`java.lang.String` | `getSmallFileSpaceInBytes()`
`void` | `setFileCachingEnabled(boolean value)`
`void` | `setFileTransmissionEnabled(boolean value)`
`void` | `setGloballyEnabled(boolean value)`
`void` | `setHashInitSize(java.lang.String value)`
`void` | `setMaxAgeInSeconds(java.lang.String value)`
`void` | `setMaxFilesCount(java.lang.String value)`
`void` | `setMediumFileSizeLimitInBytes(java.lang.String value)`
`void` | `setMediumFileSpaceInBytes(java.lang.String value)`
`void` | `setSmallFileSizeLimitInBytes(java.lang.String value)`
`void` | `setSmallFileSpaceInBytes(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getFileCachingEnabled

    public boolean getFileCachingEnabled()

### setFileCachingEnabled

    public void setFileCachingEnabled(boolean value)

### getFileTransmissionEnabled

    public boolean getFileTransmissionEnabled()

### setFileTransmissionEnabled

    public void setFileTransmissionEnabled(boolean value)

### getGloballyEnabled

    public boolean getGloballyEnabled()

### setGloballyEnabled

    public void setGloballyEnabled(boolean value)

### getHashInitSize

    public java.lang.String getHashInitSize()

### setHashInitSize

    public void setHashInitSize(java.lang.String value)

### getMaxAgeInSeconds

    public java.lang.String getMaxAgeInSeconds()

### setMaxAgeInSeconds

    public void setMaxAgeInSeconds(java.lang.String value)

### getMaxFilesCount

    public java.lang.String getMaxFilesCount()

### setMaxFilesCount

    public void setMaxFilesCount(java.lang.String value)

### getMediumFileSizeLimitInBytes

    public java.lang.String getMediumFileSizeLimitInBytes()

### setMediumFileSizeLimitInBytes

    public void setMediumFileSizeLimitInBytes(java.lang.String value)

### getMediumFileSpaceInBytes

    public java.lang.String getMediumFileSpaceInBytes()

### setMediumFileSpaceInBytes

    public void setMediumFileSpaceInBytes(java.lang.String value)

### getSmallFileSizeLimitInBytes

    public java.lang.String getSmallFileSizeLimitInBytes()

### setSmallFileSizeLimitInBytes

    public void setSmallFileSizeLimitInBytes(java.lang.String value)

### getSmallFileSpaceInBytes

    public java.lang.String getSmallFileSpaceInBytes()

### setSmallFileSpaceInBytes

    public void setSmallFileSpaceInBytes(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.